Bug Hunting Session
Bug 95057 - Error Bar indicators all highlighted when content panel enabled
Summary: Error Bar indicators all highlighted when content panel enabled
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
5.1.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: Markus Mohrhard
URL:
Whiteboard: target:5.1.0
Keywords:
Depends on:
Blocks: Chart-Sidebar
  Show dependency treegraph
 
Reported: 2015-10-14 14:56 UTC by Yousuf Philips (jay) (retired)
Modified: 2016-10-25 19:20 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2015-10-14 14:56:23 UTC
Click on an error bar in a chart and all three error indicator radio buttons show highlighted.

Version: 5.1.0.0.alpha1+
Build ID: 143fb0a4b5d4ab69d4928299d8112ab95d99870a
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2015-10-11_00:06:41
Locale: en-US (en_US.UTF-8)
Comment 1 Commit Notification 2015-10-22 21:50:46 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=73cfe5fece97c90505a24a3fb6daae2e7e27fcef

disable all error bar radion buttons in the beginning, tdf#95057

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 2 Yousuf Philips (jay) (retired) 2015-10-24 14:33:24 UTC
Added to the .ui file that they would be inactive by default in this patch < https://gerrit.libreoffice.org/#/c/19577/ > by removing '<property name="active">True</property>'